Skip to main content
POST
/
connections
/
test
Test New Connection
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/connections/test \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>"
}
'
{
  "status": "success",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Body

application/json
name
string
required
type
string
required

Connection type identifier

Response

200 - application/vnd.xplenty+json; version=2

Connection test result

status
enum<string>
Available options:
success,
failure
message
string
Last modified on April 15, 2026